Name:		radiotray-ng
Version:	0.2.8
Release:	%mkrel 4
Summary:	An Internet radio player for Linux
License:	GPLv3+
Group:		Sound
URL:		https://github.com/ebruck/radiotray-ng
Source0:	https://github.com/ebruck/radiotray-ng/archive/v%{version}/%{name}-%{version}.tar.xz
Patch0:		0001-Add-French-radio-stations.patch
Patch2:		0001-Don-t-treat-warnings-as-errors.patch
BuildRequires:	git-core
BuildRequires:	cmake
BuildRequires:	curl-devel
BuildRequires:	boost-devel
BuildRequires:	wxgtk-devel
BuildRequires:	lib64jsoncpp-devel
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(libxdg-basedir)
BuildRequires:	pkgconfig(libbsd)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(glibmm-2.4)
Requires:	gstreamer1.0-plugins-good
Requires:	gstreamer1.0-plugins-bad
Requires:	gstreamer1.0-plugins-ugly
Requires:	python-lxml
Requires:  wxgtk3.1
Obsoletes:	radiotray
Provides:	radiotray = %version-%release

%description
Radiotray-NG runs in the system tray allowing you to select and play
configured radio stations.

%package	autostart
Summary:	autostart to system tray at login
Group:		Sound
Requires:	radiotray-ng

%description autostart
This pkg will start radiotray-ng at login and place it in the
system tray ready to run on your command.


%prep
%setup -q
%apply_patches

%build
%cmake -DCONFIGURED_ONCE:BOOL=YES
%cmake_build

%install
rm -rf %buildroot
%cmake_install

# fix .desktop file
desktop-file-edit %{buildroot}%{_datadir}/applications/radiotray-ng.desktop \
	--set-comment="Internet Radio Player" \
	--set-icon=radiotray-ng-on

# another .desktop file with bad icon
desktop-file-edit %{buildroot}%{_datadir}/applications/rtng-bookmark-editor.desktop \
	--set-icon=radiotray-ng-on

# we don't want these
rm -rf %{buildroot}%{_iconsdir}/ubuntu*

# handle docs in files section
rm -rf %{buildroot}%{_docdir}

%files
%{_bindir}/radiotray-ng
%{_bindir}/rt2rtng
%{_bindir}/rtng-bookmark-editor
%{_datadir}/radiotray-ng/
%{_datadir}/applications/radiotray-ng.desktop
%{_datadir}/applications/rtng-bookmark-editor.desktop
%{_iconsdir}
%{_datadir}/metainfo/radiotray-ng.appdata.xml

%files autostart
%{_sysconfdir}/xdg/autostart/radiotray-ng.desktop


%changelog
* Sun Sep 18 2022 tex - 0.2.8-4pclos2022
- rebuild against updates

* Sun Sep 26 2021 tex - 0.2.8-3pclos2021
- rebuild against updates

* Sun Sep 12 2021 tex - 0.2.8-2pclos2021
- rebuild against updates

* Thu Aug 26 2021 tex - 0.2.8-1pclos2021
- new version
- add autostart pkg

* Fri Aug 20 2021 tex - 0.2.7-1pclos2021
- replace radiotray with radiotray-ng
